# OpalConferenceState::URI Struct Reference

`#include <manager.h>`

## Data Fields

PString | m_uri
| URI for access/service in conference.
PString | m_displayText
| Human readable form of resource.
PString | m_purpose

## Field Documentation

PString OpalConferenceState::URI::m_displayText

Human readable form of resource.

PString OpalConferenceState::URI::m_purpose

Purpose of URI, e.g. "participation" indicates a URI to join conference, "streaming" indicates a "listening only" connection

PString OpalConferenceState::URI::m_uri

URI for access/service in conference.

The documentation for this struct was generated from the following file:

- manager.h